Subject: Re: M-x hexl-mode M-x hexl-mode leaves unwanted ruler
From: Chong Yidong <[email-masked]>
To: Juanma Barranquero <[email-masked]>
Cc: [email-masked]
Date: Wed, 30 Jun 2010 18:46:52 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

> The second call to hexl-mode bypasses most of the hexl-mode
> initialization, but runs `hexl-mode-hook', which by default contains
> `hexl-activate-ruler', so the ruler is initialized again. `ruler-mode'
> already has code to save header-line-format, but it seems like it
> isn't dealing too well with reentering.
>
> So, I think the bug is in ruler-mode. But, what to do? Create a stack
> of previous header-line-format's?

The solution is to avoid saving the old header-line-format if Ruler mode
is already on.  I've checked in a fix.